version: "{build}"

clone_folder: c:\gopath\src\github.com\gotestyourself\gotestyourself

environment:
  GOPATH: c:\gopath
  GOVERSION: 1.10
  DEPVERSION: v0.4.1

install:
  - rmdir c:\go /s /q
  - appveyor DownloadFile https://storage.googleapis.com/golang/go%GOVERSION%.windows-amd64.msi
  - msiexec /i go%GOVERSION%.windows-amd64.msi /q
  - go version
  - go env

deploy: false

build_script:
  - appveyor DownloadFile https://github.com/golang/dep/releases/download/%DEPVERSION%/dep-windows-amd64.exe
  - dep-windows-amd64.exe ensure
  - bash .\scripts\binary-testsum

test_script:
  - bash .\scripts\test-unit
